### Constructor

# Gio DataOutputStream new

#### Declaration [src]

    GDataOutputStream*
    g_data_output_stream_new (
      GOutputStream* base_stream
    )

#### Description [src]

Creates a new data output stream for `base_stream`.

#### Parameters

`base_stream`

  Type: `GOutputStream`

  A `GOutputStream`.

  The data is owned by the caller of the function.

#### Return value

Type: `GDataOutputStream`

`GDataOutputStream`.

The caller of the function takes ownership of the data, and is responsible for freeing it.